Skip to content

Create subscription

POST
/v1/subscriptions/par

Register a Payment Account Reference (PAR) to automatically and continuously receive receipts each time the end user pays at a participating merchant — no per-transaction action required. The PAR is tied to the payment card, not a specific card number, so it works across physical and digital wallets. Requires prior end-user consent. If a PAR is not available, use Transaction Matching instead.

object
paymentAccountReference
required

Payment Account Reference (PAR) is 29 characters long. The first four positions of the PAR contain the BIN Controller Identifier. See: https://www.emvco.com/registered-ids

string
>= 29 characters <= 29 characters
Example
12345678912345678912345678912
reference
required

Freeform reference used for correlation in client system

string
<= 50 characters
Example
CUST-134422

Subscription created

object
subscriptionId
required
string
Example
sub-33MxMppykHWC9eb3tSjWqWEK8qg
lastActivity
string | null format: date-time
Example
2024-01-15T10:30:00Z
status
required
string
Allowed values: pending active stale
Example
active
reference

Freeform reference used for correlation in client system

string
<= 50 characters
Example
CUST-134422

Bad or malformed request

RFC 9457 problem details object.

object
type

A URI reference that identifies the problem type.

string format: uri
default: about:blank
title

Short, human-readable summary of the problem type.

string
status

HTTP status code for this occurrence of the problem.

integer format: int32
>= 100 <= 599
detail

Human-readable explanation specific to this occurrence.

string
instance

A URI reference that identifies the specific occurrence.

string format: uri

Unauthorized

RFC 9457 problem details object.

object
type

A URI reference that identifies the problem type.

string format: uri
default: about:blank
title

Short, human-readable summary of the problem type.

string
status

HTTP status code for this occurrence of the problem.

integer format: int32
>= 100 <= 599
detail

Human-readable explanation specific to this occurrence.

string
instance

A URI reference that identifies the specific occurrence.

string format: uri

Forbidden

RFC 9457 problem details object.

object
type

A URI reference that identifies the problem type.

string format: uri
default: about:blank
title

Short, human-readable summary of the problem type.

string
status

HTTP status code for this occurrence of the problem.

integer format: int32
>= 100 <= 599
detail

Human-readable explanation specific to this occurrence.

string
instance

A URI reference that identifies the specific occurrence.

string format: uri